NetworkSetting.prototype._Lan1ChangeRadio_ = function(Bool)
{
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).attr('disabled', Bool);
	
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).attr('disabled', Bool);
	
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).attr('disabled', Bool);
};

NetworkSetting.prototype._Lan2ChangeRadio_ = function(Bool)
{
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).attr('disabled', Bool);
	
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).attr('disabled', Bool);
	
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).attr('disabled', Bool);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).attr('disabled', Bool);
};

NetworkSetting.prototype._GetDdns_ = function(Result)
{
	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("GetDdns", new Array(), Return);
	var SetInterval = setInterval(function()
	{
		if(Array.isArray(Return["Input"]) == true && Return["Input"].length != 0)
		{
			clearInterval(SetInterval);
			Class = null;  delete Class;
			Result["Input"] = true;
			$("#DdnsSetting").find(".Row").eq(0).find(".Select").eq(0).val(Return["Input"][0]);
			$("#DdnsSetting").find(".Row").eq(1).find(".Text").eq(0).val(Return["Input"][1]);
			$("#DdnsSetting").find(".Row").eq(2).find(".Text").eq(0).val(Return["Input"][2]);
			$("#DdnsSetting").find(".Row").eq(3).find(".Text").eq(0).val(Return["Input"][3]);
		}
	},500);
};

NetworkSetting.prototype._SetDdns_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();
	//判斷資料是否正確
	if(NetworkSetting.prototype._DdnsAllDataIsCorrect_() == false)
	{
		$(that).closest('.Form').find(".Loading").hide();
		$(that).closest('.Form').find(".Message").eq(2).show();
		return 0;
	}
	//收集資料
	var array = NetworkSetting.prototype._CollectDdnsAllData_();
	//傳輸資料
	var ssocket = io.connect();
	NetworkSetting.prototype._TransmissionDdnsData_(that, array, ssocket);
};

NetworkSetting.prototype._TransmissionDdnsData_ = function(that, array, ssocket)
{
	ssocket.emit('SetDdns', array);
	ssocket.on('SetDdns', function (Return) {
		if(Return == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
		else
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(1).show();
		}
		ssocket.emit("SocketClose");
	});
};

NetworkSetting.prototype._DdnsAllDataIsCorrect_ = function()
{
	var Return = true;
	var length = $("#DdnsSetting").find(".Row").length;
	for(var i=0; i<length; i++)
	{
		var ShowMessage = $("#DdnsSetting").find(".Row").eq(i).find(".Message").eq(0).is(":visible");
		if(ShowMessage == true)
		{
			Return = false;
		}
	}
	return Return;
};

NetworkSetting.prototype._CollectDdnsAllData_ = function()
{
	var ServiceProvider = $("#DdnsSetting").find(".Row").eq(0).find(".Select").eq(0).val();
	var Username        = $("#DdnsSetting").find(".Row").eq(1).find(".Text").eq(0).val();
	var Password        = $("#DdnsSetting").find(".Row").eq(2).find(".Text").eq(0).val();
	var DomainName      = $("#DdnsSetting").find(".Row").eq(3).find(".Text").eq(0).val();
	var Return = new Array(ServiceProvider, Username, Password, DomainName);
	return Return;
};

NetworkSetting.prototype._GetHostname_ = function(Result)
{
	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("GetHostname", new Array(), Return);
	var SetInterval = setInterval(function()
	{
		if(Return["Input"] != null)
		{
			clearInterval(SetInterval);
			Class = null;  delete Class;
			Result["Input"] = true;
			var Hostname = Return["Input"][0];
			$("#HostnameSetting").find(".Row").eq(0).find(".Text").eq(0).val(Hostname);
		}
	},500);
};

NetworkSetting.prototype._SetHostname_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();
	//判斷資料是否正確
	if(NetworkSetting.prototype._HostnameIsCorrect_() == false)
	{
		$(that).closest('.Form').find(".Loading").hide();
		$(that).closest('.Form').find(".Message").eq(2).show();
		return 0;
	}
	//收集資料
	var Hostname = $("#HostnameSetting").find(".Row").eq(0).find(".Text").eq(0).val();
	var array = new Array(Hostname);
	//傳輸資料
	var ssocket = io.connect();
	NetworkSetting.prototype._TransmissionHostnameData_(that, array, ssocket);
};

NetworkSetting.prototype._HostnameIsCorrect_ = function()
{
	var Return = true;
	var length = $("#HostnameSetting").find(".Row").length;
	for(var i=0; i<length; i++)
	{
		var ShowMessage = $("#HostnameSetting").find(".Row").eq(i).find(".Message").eq(0).is(":visible");
		if(ShowMessage == true)
		{
			Return = false;
		}
	}
	return Return;
};

NetworkSetting.prototype._TransmissionHostnameData_ = function(that, array, ssocket)
{
	ssocket.emit('SetHostname', array);
	ssocket.on('SetHostname', function (Return) {
		if(Return == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
		else
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(1).show();
		}
		ssocket.emit("SocketClose");
	});
};

NetworkSetting.prototype._ShowUi_ = function()
{
	$("#Main_Center-Content").find(".Body").hide();
	$("#Main_Center-Content").find(".Body").eq(0).show();
	var Result_1={"Input":null};  var Result_2={"Input":null};  var Result_3={"Input":null};  var Result_4={"Input":null};  var Result_5={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("DetectionModel", new Array(), Result_5);
	NetworkSetting.prototype._GetLan1Ipv4Ip_(Result_1);
	NetworkSetting.prototype._GetLan2Ipv4Ip_(Result_2);
	NetworkSetting.prototype._GetHostname_(Result_3);
	NetworkSetting.prototype._GetDdns_(Result_4);
	var SetInterval_2 = setInterval(function()
	{
		if(Result_1["Input"]==true && Result_2["Input"]==true && Result_3["Input"]==true && Result_4["Input"]==true && Result_5["Input"]!=null)
		{
			NetworkSetting.prototype._ChangeUi_(Result_5["Input"]);
			var Class = new Wireless();
			Class.IsExistWirelessDevice();
			clearInterval(SetInterval_2);
		}
	},500);
	
};

NetworkSetting.prototype._ChangeUi_ = function(ProductName)
{
	var Class = new Type();
	var Lan1IP = NetworkSetting.prototype._Lan1ReadIP_();
	var Lan2IP = NetworkSetting.prototype._Lan2ReadIP_();
	if(Class.CheckIp(Lan1IP) == false)
	{
		$("#Lan1NetworkSetting").hide();
		$("#Main_Center-Content").find(".Body").eq(1).find(".FormTitle").eq(0).hide();
		$("#Main_Center-Content").find(".Body").eq(1).find(".Form").eq(1).hide();
	}
	if(Class.CheckIp(Lan2IP) == false)
	{
		$("#Lan2NetworkSetting").hide();
		$("#Main_Center-Content").find(".Body").eq(1).find(".FormTitle").eq(1).hide();
		$("#Main_Center-Content").find(".Body").eq(1).find(".Form").eq(3).hide();
		$("#Lan2NetworkSetting").find(":radio").eq(1).hide();
		$("#Lan2NetworkSetting").find("label").eq(1).hide();
	}
	if(Class.CheckIp(Lan1IP) == true && Class.CheckIp(Lan2IP) == true)
	{
	}
	if(ProductName == "UA-5231")
	{

	}
	else if(ProductName == "UA-2241")
	{
		$("#Lan1NetworkSetting").find(":radio").eq(1).hide();
		$("#Lan1NetworkSetting").find("label").eq(1).hide();
		$("#Lan2NetworkSetting").find(":radio").eq(1).hide();
		$("#Lan2NetworkSetting").find("label").eq(1).hide();
	}
};












NetworkSetting.prototype._CheckIp_ = function(that)
{
	var Text = $(that).closest(".Row").find(".Text");
	var IP = Text.eq(0).val() + "." + Text.eq(1).val() + "." + Text.eq(2).val() + "." + Text.eq(3).val();
	var Class = new Type();
	if(Class.CheckIp(IP) == true)	{$(that).closest(".Row").find(".Message").hide();}
	else							{$(that).closest(".Row").find(".Message").show();}
};

NetworkSetting.prototype._CheckMask_ = function(that)
{
	var Text = $(that).closest(".Row").find(".Text");
	var Mask = Text.eq(0).val() + "." + Text.eq(1).val() + "." + Text.eq(2).val() + "." + Text.eq(3).val();
	var Class = new Type();
	if(Class.CheckIp(Mask) == true)	{$(that).closest(".Row").find(".Message").hide();}
	else							{$(that).closest(".Row").find(".Message").show();}
};

NetworkSetting.prototype._CheckGateway_ = function(that)
{
	var Text = $(that).closest(".Row").find(".Text");
	var Gateway = Text.eq(0).val() + "." + Text.eq(1).val() + "." + Text.eq(2).val() + "." + Text.eq(3).val();
	var Class = new Type();
	if(Class.CheckIp(Gateway) == true)	{$(that).closest(".Row").find(".Message").hide();}
	else								{$(that).closest(".Row").find(".Message").show();}
};

NetworkSetting.prototype._CheckHostname_ = function(that)
{
	var Hostname=$(that).val();
	var Class=new Type();
	$(that).closest(".Row").find(".Message").hide();
	
	if(Class.CheckChineseLanguage(Hostname) == true)
	{
		$(that).closest(".Row").find(".Message").eq(1).show();
	}
	else if($(that).val() == "")
	{
		$(that).closest(".Row").find(".Message").eq(0).show();
	}
};
















NetworkSetting.prototype._GetLan1Ipv4Ip_ = function(Result)
{
	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("Lan1_GetIpv4Ip", new Array(), Return);
	var SetInterval = setInterval(function()
	{
		if(Return["Input"] != null)
		{
			clearInterval(SetInterval);
			Class = null;  delete Class;
			Result["Input"] = true;
		}
		if(Array.isArray(Return["Input"]) == true && Return["Input"].length != 0)
		{
			NetworkSetting.prototype._Lan1WriteIP_(Return["Input"][0]);
			NetworkSetting.prototype._Lan1WriteMask_(Return["Input"][1]);
			NetworkSetting.prototype._Lan1WriteGateway_(Return["Input"][2]);
		}
	},500);
};

NetworkSetting.prototype._SetLan1NetworkSetting_ = function(that)
{
	var Lan1_SetIPv4 = $("#Lan1NetworkSetting").find("input[type=radio]")[0].checked;
	var Lan1_DHCP = $("#Lan1NetworkSetting").find("input[type=radio]")[1].checked;

	if(Lan1_SetIPv4 == true)
	{
		NetworkSetting.prototype._SetLan1Ipv4StaticIp_(that);
	}
	else if(Lan1_DHCP == true)
	{
		NetworkSetting.prototype._SetLan1Dhcp_(that);
	}
};

NetworkSetting.prototype._SetLan1Ipv4StaticIp_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();
	//判斷資料是否正確
	if(NetworkSetting.prototype._Lan1AllDataIsCorrect_() == false)
	{
		$(that).closest('.Form').find(".Loading").hide();
		$(that).closest('.Form').find(".Message").eq(3).show();
		return 0;
	}
	NetworkSetting.prototype._TransmissionLan1StaticIpAllData_(that);
};

NetworkSetting.prototype._SetLan1Dhcp_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();
	var ssocket = io.connect();
	NetworkSetting.prototype._TransmissionLan1Dhcp_(that, ssocket);
};

NetworkSetting.prototype._TransmissionLan1StaticIpAllData_ = function(that)
{
	var array = NetworkSetting.prototype._CollectLan1AllData_();
	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("Lan1_SetIpv4StaticIp", array, Return);

	var SetInterval = setInterval(function()
	{
		if(Return["Input"] != null)
		{
			clearInterval(SetInterval);
			Class = null; delete Class;
		}
		if(Return["Input"] == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
		else if(Return["Input"] == false)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(2).show();
		}
	}, 500);
	NetworkSetting.prototype._TransferIpAddress_(that, array[0]);
};

NetworkSetting.prototype._TransferIpAddress_ = function(that, IpAddress)
{
	if($("#Lan2NetworkSetting").is(":visible") == false && document.location.hostname != IpAddress)
	{
		Global_ChangeIP = true;
		var Class = new Cgi();
		Class.LoginStatus("Delete", false);
		$(that).closest('.Form').find(".Message").eq(1).show();
		var TimeSetInterval = setInterval(function()
		{
			document.location.href = document.location.protocol+"//"+IpAddress;
			clearInterval(TimeSetInterval);
		}, 1500);
	}
};

NetworkSetting.prototype._TransmissionLan1Dhcp_ = function(that, ssocket)
{
	ssocket.emit('Lan1_SetDhcp');
	ssocket.on('Lan1_SetDhcp', function (Return) {
		if(Return == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
		else
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(1).show();
		}
		ssocket.emit("SocketClose");
	});
};

NetworkSetting.prototype._Lan1AllDataIsCorrect_ = function()
{
	var Return = true;
	var length = $("#Lan1NetworkSetting").find(".Row").length;
	for(var i=0; i<length; i++)
	{
		var ShowMessage = $("#Lan1NetworkSetting").find(".Row").eq(i).find(".Message").eq(0).is(":visible");
		if(ShowMessage == true)
		{
			Return = false;
		}
	}
	return Return;
};

NetworkSetting.prototype._CollectLan1AllData_ = function()
{
	var IP = NetworkSetting.prototype._Lan1ReadIP_();
	var Mask = NetworkSetting.prototype._Lan1ReadMask_();
	var Gateway = NetworkSetting.prototype._Lan1ReadGateway_();
	var Return = new Array(IP, Mask, Gateway);
	return Return;
};

NetworkSetting.prototype._Lan1ReadIP_ = function()
{
	var Return = "";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan1ReadMask_ = function()
{
	var Return = "";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan1ReadGateway_ = function()
{
	var Return = "";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan1WriteIP_ = function(IP)
{
	IP = IP.split(".");
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).val(IP[0]);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).val(IP[1]);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).val(IP[2]);
	$("#Lan1NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).val(IP[3]);
};

NetworkSetting.prototype._Lan1WriteMask_ = function(Mask)
{
	Mask = Mask.split(".");
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).val(Mask[0]);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).val(Mask[1]);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).val(Mask[2]);
	$("#Lan1NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).val(Mask[3]);
};

NetworkSetting.prototype._Lan1WriteGateway_ = function(Gateway)
{
	Gateway = Gateway.split(".");
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).val(Gateway[0]);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).val(Gateway[1]);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).val(Gateway[2]);
	$("#Lan1NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).val(Gateway[3]);
};




















NetworkSetting.prototype._GetLan2Ipv4Ip_ = function(Result)
{
	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("Lan2_GetIpv4Ip", new Array(), Return);
	var SetInterval = setInterval(function()
	{
		if(Return["Input"] != null)
		{
			clearInterval(SetInterval);
			Class = null;  delete Class;
			Result["Input"] = true;
		}
		if(Array.isArray(Return["Input"]) == true && Return["Input"].length != 0)
		{
			NetworkSetting.prototype._Lan2WriteIP_(Return["Input"][0]);
			NetworkSetting.prototype._Lan2WriteMask_(Return["Input"][1]);
			NetworkSetting.prototype._Lan2WriteGateway_(Return["Input"][2]);
			$("#Lan2NetworkSetting").show();
			$("#Main_Center-Content").find(".Body").find(".FormTitle").eq(1).show();
			$("#Main_Center-Content").find(".Body").find(".Form").eq(3).show();
		}
	},500);
};

NetworkSetting.prototype._SetLan2NetworkSetting_ = function(that)
{
	var Lan2_SetIPv4 = $("#Lan2NetworkSetting").find("input[type=radio]")[0].checked;
	var Lan2_DHCP = $("#Lan2NetworkSetting").find("input[type=radio]")[1].checked;
	if(Lan2_SetIPv4 == true)
	{
		NetworkSetting.prototype._SetLan2Ipv4StaticIp_(that);
	}
	else if(Lan2_DHCP == true)
	{
		NetworkSetting.prototype._SetLan2Dhcp_(that);
	}
};

NetworkSetting.prototype._SetLan2Ipv4StaticIp_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();
	//判斷資料是否正確
	if(NetworkSetting.prototype._Lan1AllDataIsCorrect_() == false)
	{
		$(that).closest('.Form').find(".Loading").hide();
		$(that).closest('.Form').find(".Message").eq(3).show();
		return 0;
	}
	//收集資料
	var array = NetworkSetting.prototype._CollectLan2AllData_();
	//傳輸資料
	var ssocket = io.connect();
	NetworkSetting.prototype._TransmissionLan2StaticIpAllData_(that, array, ssocket);
};

NetworkSetting.prototype._SetLan2Dhcp_ = function(that)
{
	$(that).closest('.Form').find(".Message").hide();
	$(that).closest('.Form').find(".Loading").show();

	var Return={"Input":null};
	var Class = new Transmission();
	Class.TransmissionArray("Lan2_SetDhcp", new Array(), Return);
	var SetInterval = setInterval(function()
	{
		if(Return["Input"] != null)
		{
			clearInterval(SetInterval);
			Class = null;  delete Class;
		}
		if(Return["Input"] == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
	},500);
};

NetworkSetting.prototype._TransmissionLan2StaticIpAllData_ = function(that, array, ssocket)
{
	ssocket.emit('Lan2_SetIpv4StaticIp', array);
	ssocket.on('Lan2_SetIpv4StaticIp', function (Return) {
		if(Return == true)
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(0).show();
		}
		else
		{
			$(that).closest('.Form').find(".Loading").hide();
			$(that).closest('.Form').find(".Message").eq(2).show();
		}
		ssocket.emit("SocketClose");
	});
};

NetworkSetting.prototype._Lan2AllDataIsCorrect_ = function()
{
	var Return = true;
	var length = $("#Lan2NetworkSetting").find(".Row").length;
	for(var i=0; i<length; i++)
	{
		var ShowMessage = $("#Lan2NetworkSetting").find(".Row").eq(i).find(".Message").eq(0).is(":visible");
		if(ShowMessage == true)
		{
			Return = false;
		}
	}
	return Return;
};

NetworkSetting.prototype._CollectLan2AllData_ = function()
{
	var IP = NetworkSetting.prototype._Lan2ReadIP_();
	var Mask = NetworkSetting.prototype._Lan2ReadMask_();
	var Gateway = NetworkSetting.prototype._Lan2ReadGateway_();
	var Return = new Array(IP, Mask, Gateway);
	return Return;
};

NetworkSetting.prototype._Lan2ReadIP_ = function()
{
	var Return = "";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan2ReadMask_ = function()
{
	var Return = "";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan2ReadGateway_ = function()
{
	var Return = "";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).val() + ".";
	Return = Return + $("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).val();
	return Return;
};

NetworkSetting.prototype._Lan2WriteIP_ = function(IP)
{
	IP = IP.split(".");
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(0).val(IP[0]);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(1).val(IP[1]);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(2).val(IP[2]);
	$("#Lan2NetworkSetting").find(".Row").eq(1).find(".Text").eq(3).val(IP[3]);
};

NetworkSetting.prototype._Lan2WriteMask_ = function(Mask)
{
	Mask = Mask.split(".");
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(0).val(Mask[0]);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(1).val(Mask[1]);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(2).val(Mask[2]);
	$("#Lan2NetworkSetting").find(".Row").eq(2).find(".Text").eq(3).val(Mask[3]);
};

NetworkSetting.prototype._Lan2WriteGateway_ = function(Gateway)
{
	Gateway = Gateway.split(".");
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(0).val(Gateway[0]);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(1).val(Gateway[1]);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(2).val(Gateway[2]);
	$("#Lan2NetworkSetting").find(".Row").eq(3).find(".Text").eq(3).val(Gateway[3]);
};